<div class="reason-code-device">
    <div class="">
        <form class="form-horizontal ng-pristine ng-valid ng-submitted">
            <div class="form-group" style="width: 100%">
                <label class="reason-col-2-5 control-label text-right">
                    <span class="text-red">*</span>原因代码组：</label>
                <div class=" col-sm-3 col-xs-3">
                    <ui-select class="andon-content-ui-select"
                               ng-change="reasonCodeGroupChanged($select);"
                               ng-model="config.currentReasonCodeGroup"
                               >
                        <!-- ng-class="{'red-border':config.isNecessary.isReasonCodeGroups}" -->
                        <ui-select-match placeholder="--- 请选择 ---">
                            <span ng-bind="config.currentReasonCodeGroup.description"></span>
                        </ui-select-match>
                        <!-- <ui-select-header>请选择</ui-select-header> -->
                        <ui-select-no-choice>
                            <a href ng-click="$select.toggle($event);">暂无数据</a>
                        </ui-select-no-choice>
                        <ui-select-choices repeat="item in (config.reasonCodeGroups) track by $index">
                            <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                </div>
                <label class=" reason-col-2 control-label ">
                    原因代码：</label>
                <div class=" col-sm-3 col-xs-3 ">
                    <ui-select class="andon-content-ui-select" ng-placeholder="请输入"
                               ng-change="reasonCodeChanged($select);"
                               ng-model="config.currentReasonCode">
                        <ui-select-match placeholder="--- 请选择 ---">
                            <span ng-bind="config.currentReasonCode.description"></span>
                        </ui-select-match>
                        <ui-select-no-choice>
                            <a href ng-click="$select.toggle($event);">
                                <span ng-if="!config.currentReasonCodeGroup.reasonCodeGroup" class="no-action-color">请先选择原因代码组</span>
                                <span ng-if="!!config.currentReasonCodeGroup.reasonCodeGroup" class="no-data-color">该原因代码组暂无原因代码</span>
                            </a> 
                        </ui-select-no-choice>
                        <ui-select-choices repeat="item in (config.reasonCodes | filter: $select.search) track by $index">
                            <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                </div>
                <label class=" reason-col-2 control-label">
                    <span class="text-red">*</span>有效日期：</label>
                    <div class=" col-sm-3 col-xs-3">
                        <input type="text" value="" id="reasonCodeDate"
                               class="form-control"
                               ng-model="config.reasonCodeAndDeviceDate"
                               ng-class="{'red-border':config.isNecessary.isDate}"
                               ng-change="dateChanged($select);"
                               ng-init="initDateTimePicker('#reasonCodeDate', {},'Y-m-d',false,false);"/>
                    </div>
            </div>
            <div class="form-group">
                <div class="one-line-btns">
                    <button ng-disabled="config.btnDisabledQuery" class="btn btn-primary" ng-click="queryDatas()">查询</button>
                </div>
                <div class="one-line-btns">
                    <button class="btn btn-primary"
                            ng-disabled="config.btnDisabledAdd"
                            ng-click="ModalReasonCodeDevice()"
                            ng-if="reasonCodeConfig.canEdit">新增</button>
                </div>
                <div class="one-line-btns pull-right">
                    <button ng-disabled="config.btnDisabledSave"
                            class="btn btn-primary"
                            ng-click="saveDeviceStatus()"
                            ng-if="reasonCodeConfig.canEdit">保存</button>
                </div>
            </div>
        </form>

    </div>
    <div ui-grid="gridReasonCodeAndDeviceStatus" class="myMiddleGrid" ui-grid-edit
         ui-grid-cellnav ui-grid-selection ui-grid-pagination ui-grid-resize-columns
         ui-grid-auto-resize></div>

</div>
<script type="text/ng-template" id="ModalReasonCodeAndDeviceStatus.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7 col-xs-7">
                <div class="chat-group">
                    <div class="chat-user-title">选择原因代码</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="">
                                    <div ui-grid="gridModalReasonCodeAndDeviceStatus" class="myModalGrid"
                                         ui-grid-edit ui-grid-cellnav ui-grid-selection
                                         ui-grid-resize-columns ui-grid-auto-resize></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5 col-xs-5">
                <div class="chat-group">
                    <div class="chat-user-title">维护对应的设备状态</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text form-horizontal">
                                    <div class="form-group">
                                        <label class="um-col-2 um-control-label">
                                            <span class="text-red">*</span>设备状态
                                        </label>
                                        <ui-select class="andon-content-ui-select ad-modal-form"
                                                   ng-placeholder="请输入"
                                                   ng-model="config.currentDeviceStatus"
                                                ng-change="changeDeviceStatus()">
                                            <ui-select-match placeholder="--- 请选择 ---">
                                                <span ng-bind="config.currentDeviceStatus.description"></span>
                                            </ui-select-match>
                                            <ui-select-no-choice>
                                                <a href ng-click="$select.toggle($event);">
                                                    <span class="no-data-color">无数据</span>
                                                </a>
                                            </ui-select-no-choice>
                                            <ui-select-choices repeat="item in (config.deviceStatus | filter: $select.search) track by $index">
                                                <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                            </ui-select-choices>
                                        </ui-select>
                                    </div>
                                    <div class="form-group">
                                        <label class="um-col-2 um-control-label">
                                            <span class="text-red">*</span>开始日期
                                        </label>
                                        <input type="text" value="" id="reasonCodeModelDate"
                                               class="form-control ad-modal-form"
                                               ng-model="config.modalDeviceDate"
                                               name="modalDeviceDate"
                                               ng-class="{'red-border':config.timeInValid}"
                                               ng-change="changeDeviceDate()"
                                               ng-init="initDateTimePicker('#reasonCodeModelDate', {},'Y-m-d H:i:s',true,true);"/>

                                    </div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button class="btn btn-primary" type="button"
            ng-click="addDevice()"
            ng-disabled="config.isInvalidToSave"
            title="{{config.deviceTitle}}">确定</button>
    <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
</div>
</script>
